## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils
Class ASAIdentifierValidator

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.identifier.DefaultIdentifierValidator
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils.ASAIdentifierValidator

All Implemented Interfaces:
  IIdentifierValidator

    public class ASAIdentifierValidator

extends DefaultIdentifierValidator

This class will check ASA identifier

Author:
  wanh

Field Summary
`static int` `MAXIMUM_ID_LENGTH`

Fields inherited from interface org.eclipse.datatools.sqltools.sql.identifier.IIdentifierValidator
`IDENTIFIER_TYPE_COLUM, IDENTIFIER_TYPE_CURSOR, IDENTIFIER_TYPE_EVENT, IDENTIFIER_TYPE_INDEX, IDENTIFIER_TYPE_LOCAL_VARAIBLE, IDENTIFIER_TYPE_PARAMETER, IDENTIFIER_TYPE_RULES, IDENTIFIER_TYPE_SP, IDENTIFIER_TYPE_TABLE, IDENTIFIER_TYPE_TRIGGER, IDENTIFIER_TYPE_UDF, IDENTIFIER_TYPE_UNKNOW, IDENTIFIER_TYPE_VIEW`

Constructor Summary
`ASAIdentifierValidator()`

Method Summary
`static IIdentifierValidator` `getInstance()` Get the ASAIdentifierValidator Instance
`int` `getMaximumIdLength(int idType)` The default implementation returns the minimum supported maximum length across vendors

Methods inherited from class org.eclipse.datatools.sqltools.sql.identifier.DefaultIdentifierValidator
`doValidCheck, isCurrencySymbol, isValid, setLevel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_ID_LENGTH

    public static final int MAXIMUM_ID_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### ASAIdentifierValidator

    public ASAIdentifierValidator()

Method Detail

### getInstance

    public static IIdentifierValidator getInstance()

  Get the ASAIdentifierValidator Instance

  Returns:

### getMaximumIdLength

    public int getMaximumIdLength(int idType)

  Description copied from class: `DefaultIdentifierValidator`
  The default implementation returns the minimum supported maximum length across vendors

  Specified by:
    `getMaximumIdLength` in interface `IIdentifierValidator`
  Overrides:
    `getMaximumIdLength` in class `DefaultIdentifierValidator`
  Parameters:
    `idType` - the identifier type @see IIdentifierValidator
  Returns: